import { AlgChannelService } from "./channel.service";
import { HttpClient, HttpHeaders } from "@angular/common/http";
import { ApiVisa } from '../../../shared/api-visa.model';
export declare class FacebookFeedCommentService extends AlgChannelService {
    constructor(httpClient: HttpClient);
    sendNewComment(data: any, apiVisa: ApiVisa): import("rxjs").Observable<Object>;
    replyComment(data: any, apiVisa: ApiVisa): import("rxjs").Observable<Object>;
    deleteComment(data: any, apiVisa: ApiVisa): import("rxjs").Observable<Object>;
    editComment(data: any, apiVisa: ApiVisa): import("rxjs").Observable<Object>;
    getHeader(apiVisa: any): {
        headers: HttpHeaders;
    };
}
